# DataExchange
TKIGES
IGESSolid

# IGESSolid_SolidOfRevolution Class Reference

defines SolidOfRevolution, Type <162> Form Number <0,1>
in package IGESSolid
This entity is defined by revolving the area determined
by a planar curve about a specified axis through a given
fraction of full rotation.

`#include <IGESSolid_SolidOfRevolution.hxx>`

Inheritance diagram for IGESSolid_SolidOfRevolution:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSolid_SolidOfRevolution ()
Standard_EXPORT void | Init (const Handle(IGESData_IGESEntity)&aCurve, const Standard_Real aFract, const gp_XYZ &aAxisPnt, const gp_XYZ &aDirection)
| This method is used to set the fields of the class SolidOfRevolution - aCurve : the curve entity that is to be revolved - aFract : the fraction of full rotation (default 1.0) - aAxisPnt : the point on the axis - aDirection : the direction of the axis .
Standard_EXPORT void | SetClosedToAxis (const Standard_Boolean mode)
| Sets the Curve to be by default, Closed to Axis (Form 0) if <mode> is True, Closed to Itself (Form 1) else .
Standard_EXPORT Standard_Boolean | IsClosedToAxis () const
| Returns True if Form Number = 0 if Form no is 0, then the curve is closed to axis if 1, the curve is closed to itself. .
Standard_EXPORT Handle_IGESData_IGESEntity | Curve () const
| returns the curve entity that is to be revolved
Standard_EXPORT Standard_Real | Fraction () const
| returns the fraction of full rotation that the curve is to be rotated
Standard_EXPORT gp_Pnt | AxisPoint () const
| returns the point on the axis
Standard_EXPORT gp_Pnt | TransformedAxisPoint () const
| returns the point on the axis after applying Trans.Matrix
Standard_EXPORT gp_Dir | Axis () const
| returns the direction of the axis
Standard_EXPORT gp_Dir | TransformedAxis () const
| returns the direction of the axis after applying TransformationMatrix
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_IGESData_IGESEntity | theCurve
Standard_Real | theFraction
gp_XYZ | theAxisPoint
gp_XYZ | theAxis

## Constructor & Destructor Documentation

Standard_EXPORT IGESSolid_SolidOfRevolution::IGESSolid_SolidOfRevolution | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Dir IGESSolid_SolidOfRevolution::Axis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_SolidOfRevolution::AxisPoint | ( |  | ) | const

Standard_EXPORT Handle_IGESData_IGESEntity IGESSolid_SolidOfRevolution::Curve | ( |  | ) | const

Standard_EXPORT Standard_Real IGESSolid_SolidOfRevolution::Fraction | ( |  | ) | const

Standard_EXPORT const IGESSolid_SolidOfRevolution::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESSolid_SolidOfRevolution::Init | ( | const Handle(IGESData_IGESEntity)& | aCurve,
|  | const Standard_Real | aFract,
|  | const gp_XYZ & | aAxisPnt,
|  | const gp_XYZ & | aDirection
| ) |

Standard_EXPORT Standard_Boolean IGESSolid_SolidOfRevolution::IsClosedToAxis | ( |  | ) | const

Standard_EXPORT void IGESSolid_SolidOfRevolution::SetClosedToAxis | ( | const Standard_Boolean | mode | ) |

Standard_EXPORT gp_Dir IGESSolid_SolidOfRevolution::TransformedAxis | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESSolid_SolidOfRevolution::TransformedAxisPoint | ( |  | ) | const

## Field Documentation

gp_XYZ IGESSolid_SolidOfRevolution::theAxis `[private]`

gp_XYZ IGESSolid_SolidOfRevolution::theAxisPoint `[private]`

Handle_IGESData_IGESEntity IGESSolid_SolidOfRevolution::theCurve `[private]`

Standard_Real IGESSolid_SolidOfRevolution::theFraction `[private]`

The documentation for this class was generated from the following file:

- IGESSolid_SolidOfRevolution.hxx